> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /faire/products/suggestions

> Get Faire search autocomplete suggestions for a query prefix: suggested search queries and suggested brands.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/faire/products/suggestions
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/faire/products/suggestions:
    post:
      tags:
        - /faire
      summary: /faire/products/suggestions
      description: >-
        Get Faire search autocomplete suggestions for a query prefix: suggested
        search queries and suggested brands.


        **Price:** 1 credit
      operationId: __api_faire_products_suggestions_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FaireProductsSuggestionsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FaireSuggestion'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FaireProductsSuggestionsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        country:
          $ref: '#/components/schemas/FaireCountry'
          default: USA
        query:
          type: string
          minLength: 1
      type: object
      required:
        - query
    FaireSuggestion:
      properties:
        '@type':
          type: string
          default: FaireSuggestion
        query:
          type: string
        query_suggestions:
          items:
            type: string
          type: array
          default: []
        brand_suggestions:
          items:
            $ref: '#/components/schemas/FaireSuggestedBrand'
          type: array
          default: []
      type: object
      required:
        - query
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FaireCountry:
      type: string
      enum:
        - USA
        - GBR
        - AUS
        - FRA
        - DEU
        - ITA
        - ESP
        - NLD
        - PRT
        - SWE
        - DNK
    FaireSuggestedBrand:
      properties:
        '@type':
          type: string
          default: FaireSuggestedBrand
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_top_shop:
          type: boolean
          default: false
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````